メインコンテンツまでスキップ

Create Storage Integration (V2)

This operation creates a bucket storage integration after validating that the supplied credential can access the target bucket or container.

POST/v2/storageIntegrations
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
projectIdstringrequired

The ID of the project.

namestringrequired

The name of the storage integration.

descriptionstring

A description of the storage integration.

regionIdstringrequired

The ID of the region. The server uses this field to derive the cloud provider.

bucketNamestringrequired

The bucket, container, or storage name. For Azure Blob Storage, this is the container name.

externalCredobject

Provider-specific credential fields.

roleArnstring

The AWS IAM role ARN.

externalIdstring

The external ID for AWS role assumption.

projectIdstringrequired

The ID of the project.

namestringrequired

The name of the storage integration.

descriptionstring

A description of the storage integration.

regionIdstringrequired

The ID of the region. The server uses this field to derive the cloud provider.

bucketNamestringrequired

The bucket, container, or storage name. For Azure Blob Storage, this is the container name.

externalCredobject

Provider-specific credential fields.

gcpProjectIdstring

The customer GCP project ID.

serviceAccountEmailstring

The customer-created GCP service account email that grants bucket access.

projectIdstringrequired

The ID of the project.

namestringrequired

The name of the storage integration.

descriptionstring

A description of the storage integration.

regionIdstringrequired

The ID of the region. The server uses this field to derive the cloud provider.

bucketNamestringrequired

The bucket, container, or storage name. For Azure Blob Storage, this is the container name.

externalCredobject

Provider-specific credential fields.

accountNamestring

The Azure storage account name.

clientIdstring

The Azure federated identity client ID.

tenantIdstring

The Azure federated identity tenant ID.

projectIdstringrequired

The ID of the project.

namestringrequired

The name of the storage integration.

descriptionstring

A description of the storage integration.

regionIdstringrequired

The ID of the region. The server uses this field to derive the cloud provider.

bucketNamestringrequired

The bucket, container, or storage name. For Azure Blob Storage, this is the container name.

externalCredobject

Provider-specific credential fields.

roleArnstring

The AWS IAM role ARN.

externalIdstring

The external ID for AWS role assumption.

export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3",
"description": "S3 bucket for external tables",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket",
"externalCred": {
"roleArn": "arn:aws:iam::123456789012:role/zilliz-bucket-role",
"externalId": "zilliz-external-AbCdEf12345678"
}
}'
Responses200 - application/json

A success response.

codeinteger

Response code.

Example Value: 0
dataobject
integrationIdstring

The ID of the storage integration.

namestring

The name of the storage integration.

A failure response.

codeinteger

Response code.

Example Value: 1800
messagestring

Error message.

Example Value: User hasn't authenticated
{
"code": 0,
"data": {
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3"
}
}
{
"code": 1800,
"message": "User hasn't authenticated"
}